- Main Page
- Modules
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# NEDException Class Reference

`#include <nederror.h>`

List of all members.

## Detailed Description

Low-level routines throw an exception instead of calling NEDError().

## Public Member Functions
| NEDException (const char *msg,...)
const char * | errorMessage ()
## Protected Attributes
std::string | errormsg

## Constructor & Destructor Documentation

NEDException::NEDException | ( | const char * | msg,
|  |  | ...
| ) |

| The error message can be generated in a printf-like manner.

## Member Function Documentation

const char* NEDException::errorMessage | ( |  | ) | `[inline]`

| Returns the text of the error.

## Member Data Documentation

std::string NEDException::errormsg`[protected]`

The documentation for this class was generated from the following file:

- nederror.h